/oauth2/update-client
POST
/oauth2/update-client
const url = 'https://gymgym.club/api/auth/oauth2/update-client';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"client_id":"example","update":{"redirect_uris":["example"],"scope":"example","client_name":"example","client_uri":"example","logo_uri":"example","contacts":["example"],"tos_uri":"example","policy_uri":"example","software_id":"example","software_version":"example","software_statement":"example","post_logout_redirect_uris":["example"],"backchannel_logout_uri":"example","backchannel_logout_session_required":true,"application_type":"web","grant_types":["example"],"response_types":["code"]}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://gymgym.club/api/auth/oauth2/update-client \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "client_id": "example", "update": { "redirect_uris": [ "example" ], "scope": "example", "client_name": "example", "client_uri": "example", "logo_uri": "example", "contacts": [ "example" ], "tos_uri": "example", "policy_uri": "example", "software_id": "example", "software_version": "example", "software_statement": "example", "post_logout_redirect_uris": [ "example" ], "backchannel_logout_uri": "example", "backchannel_logout_session_required": true, "application_type": "web", "grant_types": [ "example" ], "response_types": [ "code" ] } }'Updates OAuth2 formatted client details.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
client_id
required
string
update
required
object
redirect_uris
Array<string>
scope
string
client_name
string
client_uri
string
logo_uri
string
contacts
Array<string>
tos_uri
string
policy_uri
string
software_id
string
software_version
string
software_statement
string
post_logout_redirect_uris
Array<string>
backchannel_logout_uri
string
backchannel_logout_session_required
boolean
application_type
string
grant_types
Array<string>
response_types
Array<string>
Responses
Section titled “Responses”Bad Request. Usually due to missing parameters, or invalid parameters.
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Unauthorized. Due to missing or invalid authentication.
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Forbidden. You do not have permission to access this resource or to perform this action.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Not Found. The requested resource was not found.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Too Many Requests. You have exceeded the rate limit. Try again later.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Internal Server Error. This is a problem with the server that you cannot fix.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}